Subject: bug#39953: 27.0.50; [PATCH] explicitly fail if Emacs was configured with but cannot compile native JSON support

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Apr 2020 16:07:45 +0200

Noam Postavsky <[email-masked]> writes:

>> This seems a bit too extreme to me, but I think giving an error on
>> missing Jansson headers only if --with-json is explicitly passed would
>> be okay.
>
> I was reminded about this from some reddit posts:
>
> https://old.reddit.com/r/emacs/comments/fwgpkd/weekly_tipstricketc_thread/fmo9d5v/
>
> Here's a proposed patch implementing my suggestion above.

My knowledge about the build system is rudimentary at best, so I can't
comment on your implementation.  The behaviour you suggest sounds
reasonable though.

Best regards,
Stefan Kangas